<?php

namespace sistcertificado\Http\Controllers;

use Illuminate\Http\Request;

use sistcertificado\Http\Requests;
use sistcertificado\Categoria;
use Illuminate\Support\Facades\Redirect;
use sistcertificado\Http\Requests\CategoriaFormRequest;
use DB;

class CategoriaController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
    	if ($request)
    	{
    		$query=trim($request->get('searchText'));
    		$categorias=DB::table('categoria')->where('nombre_categoria','LIKE','%'.$query.'%')
    		->where ('condicion','=','1')
    		->orderBy('idcategoria','desc')
    		->paginate(7);
    		return view('curso.categoria.index',["categorias"=>$categorias,"searchText"=>$query]);
    	}
    }

    public function create()
    {
    	return view("curso.categoria.create");
    }

    public function store(CategoriaFormRequest $request)
    {
    	$categoria=new Categoria;
    	$categoria->nombre_categoria=$request->get('nombre_categoria');
    	$categoria->descripcion_categoria=$request->get('descripcion_categoria');
    	$categoria->condicion='1';
    	$categoria->save();
    	return Redirect::to('curso/categoria');
    }

    public function show($id)
    {
    	return view ("curso.categoria.show",["categoria"=>Categoria::findOrFail($id)]);
    }

    public function edit($id)
    {
        return view("curso.categoria.edit",["categoria"=>Categoria::findOrFail($id)]);
    }

    public function update(CategoriaFormRequest $request, $id)
    {
    	$categoria=Categoria::findOrFail($id);
    	$categoria->nombre_categoria=$request->get('nombre_categoria');
    	$categoria->descripcion_categoria=$request->get('descripcion_categoria');
    	$categoria->update();
    	return Redirect::to('curso/categoria');


    }

    public function destroy($id)
    {
    	$categoria=Categoria::findOrFail($id);
    	$categoria->condicion='0';
    	$categoria->update();
    	return Redirect::to('curso/categoria');
    }
}
