<?php

namespace sistcertificado\Http\Controllers;

use Illuminate\Http\Request;

use sistcertificado\Http\Requests;
use sistcertificado\Curso;
use sistcertificado\User;
use sistcertificado\Certificado;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Request as Input;
use sistcertificado\Http\Requests\CertificadoFormRequest;
use Carbon\Carbon;
use DB;


class CertificadoController extends Controller
{
	public function __construct()
    {
    $this->middleware('auth');
    }

    public function index(Request $request)
    {
        if ($request)
        {
            $query=trim($request->get('searchText'));
            $certificados=DB::table('certificado as ce')
            ->join('users as u','ce.id','=','u.id')
        	->join('curso as cu','ce.idcurso','=','cu.idcurso')
        	->select('u.name','u.email','u.dni_usuario','u.telefono_usuario','cu.nombre_curso','cu.horas','cu.fecha_inicio','cu.fecha_fin','ce.idcertificado','ce.documento','ce.estado_certificado','ce.tipo_participante','ce.codigo')
            ->where('u.name','LIKE','%'.$query.'%')
            ->orwhere('cu.nombre_curso','LIKE','%'.$query.'%')
            ->orderBy('ce.idcertificado','desc')
            ->groupBy('u.name','u.email','u.dni_usuario','u.telefono_usuario','cu.nombre_curso','cu.horas','cu.fecha_inicio','cu.fecha_fin','ce.idcertificado','ce.documento','ce.estado_certificado','ce.tipo_participante','ce.codigo')
            ->paginate(20);
            return view('curso.certificado.index',["certificados"=>$certificados,"searchText"=>$query]);
        }
        
    }

    public function create()
    {
    	$usuarios=DB::table('users')->where('rol_usuario','=','inscrito')->get();
        //$usuarios=DB::table('users')->get();
    	$cursos=DB::table('curso')
    	//$cursos=DB::table('curso as cur')
    		//->select(DB::raw('CONCAT("del ",cur.fecha_inicio," al ",cur.fecha_fin) AS fecha'),'cur.idcurso')
    		//->where('cur.estado_curso','=','Activo')
    		->where('estado_curso','=','Activo')
    		->get();
    	return view("curso.certificado.create",["usuarios"=>$usuarios,"cursos"=>$cursos]);
    }
    public function store (CertificadoFormRequest $request)
    {
    	
        $certificado=new Certificado;
        $certificado->idcurso=$request->get('idcurso');
        $certificado->id=$request->get('id');
        $certificado->codigo=$request->get('codigo');
        $certificado->tipo_participante=$request->get('tipo_participante');
        $certificado->estado_certificado= 'VIGENTE';
            
        if (Input::hasFile('documento')){
        $file=Input::file('documento');
        $para_extencion=$file->getClientOriginalName();
        $extension = pathinfo($para_extencion, PATHINFO_EXTENSION);
        $nombre_archivo="Certificado_".$request->get('codigo').".".$extension;
        $file->move(public_path().'/certificados/pdf/',$nombre_archivo);
        $certificado->documento=$nombre_archivo;
        }
        $certificado->save();  
    
        return Redirect::to('curso/certificado');

    }
    
    public function show($id)
    {
        return view("curso.certificado.show",["certificado"=>Certificado::findOrFail($id)]);
    }
    public function edit($id)
    {
        $certificado=Certificado::findOrFail($id);
        $usuarios=DB::table('users')->where('rol_usuario','=','inscrito')->get();
        //$usuarios=DB::table('users')->get();
        $cursos=DB::table('curso')
        //$cursos=DB::table('curso as cur')
            //->select(DB::raw('CONCAT("del ",cur.fecha_inicio," al ",cur.fecha_fin) AS fecha'),'cur.idcurso')
            //->where('cur.estado_curso','=','Activo')
            ->where('estado_curso','=','Activo')
            ->get();
        return view("curso.certificado.edit",["certificado"=>$certificado,"usuarios"=>$usuarios,"cursos"=>$cursos]);
    }
    
    
    public function update(CertificadoFormRequest $request,$id)
    {
        $certificado=Certificado::findOrFail($id);

        $certificado->idcurso=$request->get('idcurso');
        $certificado->id=$request->get('id');
        
        $certificado->codigo=$request->get('codigo');
        $certificado->tipo_participante=$request->get('tipo_participante');

        if (Input::hasFile('documento')){
         $file=Input::file('documento');
         $para_extencion=$file->getClientOriginalName();
        $extension = pathinfo($para_extencion, PATHINFO_EXTENSION);
        $nombre_archivo="Certificado_".$request->get('codigo').".".$extension;
        $file->move(public_path().'/certificados/pdf/',$nombre_archivo);
        $certificado->documento=$nombre_archivo;
        }
        $certificado->update();
        return Redirect::to('curso/certificado');
    }

    public function destroy($id)
    {
    	$certificado = DB::table('certificado')->where('idcertificado','=',$id)->delete();
        return Redirect::to('curso/certificado');

    }
}
